Bug 732308 - [abrt] anjuta-3.0.0.0-2.fc15: anjuta_token_last_item: Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
Summary: [abrt] anjuta-3.0.0.0-2.fc15: anjuta_token_last_item: Process /usr/bin/anjuta...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anjuta
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cosimo Cecchi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:548d80607bacc3b9aa4078fc074...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 20:40 UTC by John Ellis
Modified: 2013-04-30 22:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:40:20 UTC


Attachments (Terms of Use)
File: maps (40.93 KB, text/plain)
2011-08-21 20:40 UTC, John Ellis
no flags Details
File: backtrace (46.55 KB, text/plain)
2011-08-21 20:40 UTC, John Ellis
no flags Details

Description John Ellis 2011-08-21 20:40:47 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        anjuta
component:      anjuta
crash_function: anjuta_token_last_item
executable:     /usr/bin/anjuta
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        anjuta-3.0.0.0-2.fc15
reason:         Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
time:           Sun Aug 21 16:25:59 2011
uid:            500
username:       mcross

backtrace:      Text file, 47671 bytes
maps:           Text file, 41915 bytes

comment:
:1- Add new target to "src' directory
:2- Add source files to new target
:3- Select files and confirm
:4- Click "add" and crash occurs
:
:I was attempting to add a new build target to my project and then attempted to add not compilable files to it. (i.e. .conf)

dso_list:
:/lib64/libcrypt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1312054104
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1312051376
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1312051209
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1312051382
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1312051037
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1312054132
:/usr/share/vte/termcap-2.90/xterm vte3-0.28.1-1.fc15.x86_64 (Fedora Project) 1312054971
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1312054136
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1312051216
:/usr/lib64/anjuta/libanjuta-loader.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1312051020
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1312051036
:/lib64/libtinfo.so.5.8 ncurses-libs-5.8-2.20110319.fc15.x86_64 (Fedora Project) 1312051020
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1313199512
:/usr/lib64/anjuta/libanjuta-starter.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/libanjuta-3.so.0.0.0 anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1312051082
:/usr/lib64/libgda-4.0.so.4.1.0 libgda-1:4.2.5-1.fc15.x86_64 (Fedora Project) 1312056114
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1312051038
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1312051035
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1312051327
:/usr/lib64/anjuta/libanjuta-terminal.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/lib64/libncurses.so.5.8 ncurses-libs-5.8-2.20110319.fc15.x86_64 (Fedora Project) 1312051020
:/usr/lib64/anjuta/libfile-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1312054439
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312756183
:/usr/share/fonts/dejavu/DejaVuSerif-Bold.ttf dejavu-serif-fonts-2.33-1.fc15.noarch (Fedora Project) 1312051657
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1312051194
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1312051382
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1312054132
:/usr/lib64/anjuta/libanjuta-file-wizard.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/usr/lib64/libgdk-3.so.0.0.12 gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1312756216
:/usr/lib64/anjuta/libanjuta-build-basic-autotools.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1312051382
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1312051037
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1312051032
:/lib64/libutil-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1312054132
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1312051026
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1312051655
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1312051024
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1312051032
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.5-3.fc15.x86_64 (Fedora Project) 1312051024
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1312054132
:/usr/lib64/libgtksourceview-3.0.so.0.0.0 gtksourceview3-3.0.5-1.fc15.x86_64 (Fedora Project) 1312054383
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1312051029
:/usr/share/locale/en/LC_MESSAGES/gtk30-properties.mo gtk3-devel-3.0.12-1.fc15.x86_64 (Fedora Project) 1312756400
:/usr/share/fonts/dejavu/DejaVuSerif.ttf dejavu-serif-fonts-2.33-1.fc15.noarch (Fedora Project) 1312051657
:/usr/lib64/anjuta/libanjuta-run-program.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/anjuta/liblanguage-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/libgda-4.0/providers/libgda-sqlite.so libgda-sqlite-1:4.2.5-1.fc15.x86_64 (Fedora Project) 1312056115
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1312051037
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1312051037
:/usr/share/fonts/dejavu/DejaVuSansMono-Oblique.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1312051655
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1312051026
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1312051021
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.7.5-1.x86_64 (Fedora Project) 1312051234
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312756190
:/usr/lib64/anjuta/libanjuta-document-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/librsvg-2.so.2.32.1 librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1312051382
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1312051376
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1312051035
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.0.2-1.fc15.x86_64 (Fedora Project) 1312054382
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1312051037
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1312756190
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1312051026
:/usr/lib64/anjuta/libanjuta-snippets-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/anjuta/libanjuta-language-cpp-java.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.6.17-1.fc15.x86_64 (Fedora Project) 1313199667
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1312054166
:/usr/lib64/libgtk-3.so.0.0.12 gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1312756216
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1313626390
:/usr/lib64/libvte2_90.so.9.2800.1 vte3-0.28.1-1.fc15.x86_64 (Fedora Project) 1312054971
:/usr/bin/anjuta anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/usr/lib64/anjuta/libam-project.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1312054132
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1312051025
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1312051038
:/usr/lib64/anjuta/libanjuta-message-view.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1312051033
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1312051036
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1312051029
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1312054439
:/usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1312051655
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1312051196
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1312054156
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1312756216
:/usr/lib64/libgdl-3.so.1.0.0 libgdl-1:3.0.0-1.fc15.x86_64 (Fedora Project) 1312056120
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1312054439
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/usr/lib64/anjuta/libanjuta-debug-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313199531
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1312051022
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-3.fc15.x86_64 (Fedora Project) 1312051196
:/usr/lib64/anjuta/libanjuta-gdb.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1312051376
:/usr/lib64/anjuta/libanjuta-symbol-db.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/anjuta/libanjuta-project-manager.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678
:/usr/lib64/anjuta/libanjuta-sourceview.so anjuta-1:3.0.0.0-2.fc15.x86_64 (Fedora Project) 1312066678

environ:
:XDG_SESSION_ID=1
:HOSTNAME=Dell-Laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ebfadb8508aef1005fddf44400000010-1313938270.417699-1661798906
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-IKswco
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=mcross
:USERNAME=mcross
:MAIL=/var/spool/mail/mcross
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mcross/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mcross
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1422
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/mcross
:SHLVL=1
:LOGNAME=mcross
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-W0H0Q0ghNi,guid=bb36f985d6614c5dfd9f08780000002b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mcross
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-mcross-ERgXEN/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1430,unix/unix:/tmp/.ICE-unix/1430
:ORBIT_SOCKETDIR=/tmp/orbit-mcross
:SSH_AUTH_SOCK=/tmp/keyring-IKswco/ssh
:GPG_AGENT_INFO=/tmp/keyring-IKswco/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1623-Dell-Laptop-anjuta-21_TIME20093346
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-anjuta.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=12517

var_log_messages:
:Aug 21 16:25:59 Dell-Laptop kernel: [20134.021208] anjuta[12541]: segfault at 18 ip 0000003863449000 sp 00007f2faa89fba8 error 4 in libanjuta-3.so.0.0.0[3863400000+97000]
:Aug 21 16:26:01 Dell-Laptop abrt[12577]: saved core dump of pid 12517 (/usr/bin/anjuta) to /var/spool/abrt/ccpp-2011-08-21-16:25:59-12517.new/coredump (102215680 bytes)

Comment 1 John Ellis 2011-08-21 20:40:50 UTC
Created attachment 519203 [details]
File: maps

Comment 2 John Ellis 2011-08-21 20:40:51 UTC
Created attachment 519204 [details]
File: backtrace

Comment 3 Fedora End Of Life 2012-08-07 15:40:22 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.